import { Component } from 'react';
interface React360ViewerProps {
    amount: number;
    imagePath: string;
    fileName: string;
    spinReverse?: boolean;
    autoplay?: number;
    loop?: number;
    boxShadow?: boolean;
    buttonClass?: string;
    paddingIndex?: boolean;
}
declare class React360Viewer extends Component<React360ViewerProps, any> {
    constructor(props: any);
    componentDidMount(): void;
    fetchData(): void;
    lpad(str: any, padString: any, length: any): any;
    preloadImages(): void;
    addImage(resultSrc: any): void;
    onImageLoad(event: any): void;
    updatePercentageInLoader(percentage: any): void;
    onAllImagesLoaded(e: any): void;
    initData(): void;
    attachEvents(): void;
    bindPanModeEvents(): void;
    bind360ModeEvents(): void;
    startDragging: (evt: any) => void;
    setLastPositions(evt: any): void;
    doDragging: (evt: any) => void;
    stopDragging: (evt: any) => void;
    checkMobile(): void;
    loadInitialImage(): void;
    setImage(cached?: boolean): void;
    redraw(): void;
    trackTransforms(ctx: any): Promise<unknown>;
    prev: (e: any) => void;
    next: (e: any) => void;
    resetPosition: () => void;
    turnLeft(): void;
    turnRight(): void;
    moveActiveIndexUp(itemsSkipped: any): void;
    moveActiveIndexDown(itemsSkipped: any): void;
    update(): void;
    zoomImage: (evt: any) => void;
    zoomIn: (evt: any) => void;
    zoomOut: (evt: any) => void;
    zoom(clicks: any): void;
    disableZoomin(): void;
    onMove(pageX: any): void;
    startMoving: (evt: any) => void;
    doMoving: (evt: any) => void;
    stopMoving: (evt: any) => void;
    touchStart: (evt: any) => void;
    touchMove: (evt: any) => void;
    touchEnd: () => void;
    play: (e: any) => void;
    onSpin(): void;
    stop(): void;
    loopImages(): void;
    togglePlay: (e: any) => void;
    togglePanMode: (e: any) => void;
    toggleFullScreen: (e: any) => void;
    componentDidUpdate(prevProps: any, prevState: any): void;
    handlePinch: (e: any) => void;
    pinchOut: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default React360Viewer;
